Eclipse Platform Release 3.7

## org.eclipse.jface.viewers
Interface ILightweightLabelDecorator

All Superinterfaces:
  IBaseLabelProvider

    public interface ILightweightLabelDecorator

extends IBaseLabelProvider

The `ILightweightLabelDecorator` is a decorator that decorates using a prefix, suffix and overlay image rather than doing all of the image and text management itself like an `ILabelDecorator`.

Method Summary
`void` `decorate(Object element, IDecoration decoration)` Calculates decorations based on element.

Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider
`addListener, dispose, isLabelProperty, removeListener`

Method Detail

### decorate

    void decorate(Object element,
                  IDecoration decoration)

  Calculates decorations based on element.

  Parameters:
    `element` - the element to decorate
    `decoration` - the decoration to set

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.